﻿@{Layout = "~/Views/Shared/_BlankLayout.cshtml"; }
@Html.Partial("_HSPartialScript")
@model SPEX.Models.mHSMaster
@using (Html.BeginForm("", "HSMaintenance", FormMethod.Post))
{
    <div class="content">
        <table>
            <tr>
                <td style="width: 20%;">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "*Part No";
                        label.Height = 25;
                        label.Name = "lblPartNo";
                    }).GetHtml()
                </td>
                <td style="width: 80%" colspan="3">
                    @Html.DevExpress().TextBox(
                    TextBox =>
                    {
                        TextBox.Name = "I_PART_NO_POPUP";
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.Width = 120;
                        TextBox.ClientVisible = true;
                        TextBox.ClientEnabled = (bool)ViewData["IsNewData"];
                        TextBox.Properties.MaxLength = 15;
                        TextBox.Properties.ClientSideEvents.LostFocus = "PartNoLostFocus";
                    }).Bind(@Model.PART_NO).GetHtml()
                </td>
            </tr>
            <tr>
                <td style="width: 20%;">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "*HS FormD";
                        label.Height = 25;
                        label.Name = "lblHSIndonesia";
                    }).GetHtml()
                </td>
                <td style="width: 30%">
                    @Html.DevExpress().TextBox(
                    TextBox =>
                    {
                        TextBox.Name = "I_HS_INDONESIA_POPUP";
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.Width = 120;
                        TextBox.ClientVisible = true;
                        TextBox.ClientEnabled = true;
                        TextBox.Properties.MaxLength = 10;
                    }).Bind(@Model.HS_INDONESIA).GetHtml()
                </td>
                <td style="width: 20%;" colspan="2"></td>
            </tr>
            <tr>
                <td style="width: 20%;">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "*HS PEB";
                        label.Height = 25;
                        label.Name = "lblHSPEB";
                    }).GetHtml()
                </td>
                <td style="width: 30%">
                    @Html.DevExpress().TextBox(
                    TextBox =>
                    {
                        TextBox.Name = "I_HS_PEB_POPUP";
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.Width = 120;
                        TextBox.ClientVisible = true;
                        TextBox.ClientEnabled = true;
                        TextBox.Properties.MaxLength = 10;
                    }).Bind(@Model.HS_PEB).GetHtml()
                </td>
                <td style="width: 20%;" colspan="2"></td>
            </tr>
            <tr>
                <td style="width: 20%;">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Part Name";
                        label.Height = 25;
                        label.Name = "lblPartName";
                    }).GetHtml()
                </td>
                <td style="width: 80%" colspan="3">
                    @Html.DevExpress().TextBox(
                    TextBox =>
                    {
                        TextBox.Name = "I_PART_NAME_POPUP";
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.Width = 450;
                        TextBox.ClientVisible = true;
                        TextBox.ClientEnabled = false;
                        //TextBox.ClientEnabled = (bool)ViewData["IsNewData"];
                        TextBox.Properties.MaxLength = 6;
                    }).Bind(@Model.PART_NAME).GetHtml()
                </td>
            </tr>
        </table>
    </div>
    <div class="content">
        <table>
            <tr align="center">
                <td>
                    @Html.DevExpress().Button(
                    button =>
                    {
                        button.Name = "cmdInsert";
                        button.Text = "Save";
                        //button.ClientSideEvents.Click = "function (s, e){OnSaveSegment(" + ViewData["ContainerIndex"] + ");}";
                        button.ClientSideEvents.Click = "OnInsert";
                        button.Style.Add("display", "inline-table");
                        button.UseSubmitBehavior = false;
                        button.ClientEnabled = (bool)ViewData["IsNewData"];
                        button.ClientVisible = (bool)ViewData["IsNewData"];
                    }
                    ).GetHtml()
                </td>
                <td style="width: 20px"></td>
                <td>
                    @Html.DevExpress().Button(
                    button =>
                    {
                        button.Name = "cmdUpdate";
                        button.Text = "Update";
                        //button.ClientSideEvents.Click = "function (s, e){OnUpdateSegment(" + ViewData["ContainerIndex"] + ");}";
                        button.ClientSideEvents.Click = "OnUpdate";
                        button.Style.Add("display", "inline-table");
                        button.UseSubmitBehavior = false;
                        button.ClientEnabled = (!(bool)ViewData["IsNewData"]);
                        button.ClientVisible = (!(bool)ViewData["IsNewData"]);
                    }
                    ).GetHtml()
                </td>
                <td style="width: 20px"></td>
                <td>
                    @Html.DevExpress().Button(
                    button =>
                    {
                        button.Name = "cmdCancel";
                        button.Text = "Cancel";
                        button.ClientSideEvents.Click = "OnCancel";
                        button.Style.Add("display", "inline-table");
                        button.UseSubmitBehavior = false;
                    }
                    ).GetHtml()
                </td>
            </tr>
        </table>
    </div>
}